package de.subway_surfers.vpr_app;

import RestAPISchnittstelle.IRestAPI;
import RestAPISchnittstelle.RestApiClient;
import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.geometry.Insets;
import javafx.geometry.Pos;
import javafx.scene.control.Accordion;
import javafx.scene.control.Label;
import javafx.scene.control.ScrollPane;
import javafx.scene.control.TitledPane;
import javafx.scene.layout.VBox;

import java.util.ArrayList;
import java.util.List;

public class BestelluebersichtMitarbeiter {

	@FXML
	private ScrollPane scrollPane;

	@FXML
	private Accordion accordion;

	public void initialize() {

		List<String> datum = new ArrayList<>();

		datum.add("15.10.1999");
		datum.add("23.12.2002");
		datum.add("05.01.2020");

		accordion.setStyle("-fx-box-border: transparent;");

		for (String i : datum) {
			Accordion gerichtAkkordion = createGerichtAkkordion();

			TitledPane datumUeberschrift = new TitledPane(i, gerichtAkkordion);

			datumUeberschrift.getStyleClass().add("titledPaneUeberschrift");
			datumUeberschrift.animatedProperty().set(false);
			datumUeberschrift.setPadding(new Insets(0, 0, 15, 0));

			//TitledPane personen = new TitledPane("Person", createPersonenAccordion());
			accordion.getPanes().add(datumUeberschrift);
			//gerichtAkkordion.getPanes().add(personen);
		}

		scrollPane.setHbarPolicy(ScrollPane.ScrollBarPolicy.NEVER);
		scrollPane.setVbarPolicy(ScrollPane.ScrollBarPolicy.ALWAYS);
	}

	int anzahlGerichtA = 1;

	public Accordion createGerichtAkkordion() {
		Accordion accordion = new Accordion();
		int anzahlGerichtB = 15;
		int anzahlGerichtC = 3;
		int anzahlGerichtD = 2;

		double preisGerichtA = 4.99;
		double preisGerichtB = 9.99;
		double preisGerichtC = 3.99;
		double preisGerichtD = 12.49;

		int anzahlNachtischA = 2;
		int anzahlNachtischB = 213;

		double preisNachtischA = 0.49;
		double preisNachtischB = 99.49;


		if (anzahlGerichtA >= 1) {
			TitledPane tp = new TitledPane();
			tp.setText("GerichtA " + anzahlGerichtA + "-Mal " + preisGerichtA * anzahlGerichtA + " €");
			accordion.getPanes().addAll(tp);
		}

		if (anzahlGerichtB >= 1) {
			TitledPane tp = new TitledPane();
			tp.setText("GerichtB " + anzahlGerichtB + "-Mal " + preisGerichtB * anzahlGerichtB + " €");
			accordion.getPanes().addAll(tp);

		}

		if (anzahlGerichtC >= 1) {
			TitledPane tp = new TitledPane();
			tp.setText("GerichtC " + anzahlGerichtC + "-Mal " + preisGerichtC * anzahlGerichtC + " €");
			accordion.getPanes().addAll(tp);
		}

		if (anzahlGerichtD >= 1) {
			TitledPane tp = new TitledPane();
			tp.setText("GerichtD " + anzahlGerichtD + "-Mal " + preisGerichtD * anzahlGerichtD + " €");
			accordion.getPanes().addAll(tp);
		}

		if (anzahlNachtischA >= 1) {
			TitledPane tp = new TitledPane();
			tp.setText("NachtischA " + anzahlNachtischA + "-Mal " + preisNachtischA * anzahlNachtischA + " €");
			accordion.getPanes().addAll(tp);
		}

		if (anzahlNachtischA >= 1) {

			Label label2 = new Label("Hans Schwanz" + " für " + " Anja Arbeitslos");
			Label label3 = new Label("Drittes Label");

			VBox vbox = new VBox(label2, label3);
			vbox.setAlignment(Pos.CENTER_LEFT);

			TitledPane tp = new TitledPane("NachtischB " + "-Mal " + preisNachtischB * anzahlGerichtB + " €", vbox);

			accordion.getPanes().addAll(tp);
		}
		return accordion;
	}

	/*
	public Accordion createPersonenAccordion() {
		Accordion accordion1 = new Accordion();

		for (int i = 0; i < 10; i++) {
			String kind = "Kind";
			String elternteil = "Max Heer";

			Label label = new Label();
			label.setText(elternteil + " für " + kind);

			// Erstellen Sie eine TitledPane für jedes Label
			TitledPane titledPane = new TitledPane("Kind Informationen", label);

			// Fügen Sie die TitledPane zur Accordion hinzu
			accordion1.getPanes().add(titledPane);
		}

		return accordion1;
	}
	*/

	public void onAbmelden(ActionEvent event) {
		//VerwaltungApplication.abmelden();
	}

	public void onZurueck(ActionEvent actionEvent) {
		VerwaltungApplication.sceneWechseln("hauptmenue_mitarbeiter-view.fxml");
	}

}
